Subject: Ticket Assigned - Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 07 Jun 2022 04:26:47 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call? Feedback for:  I have other questions about returns, refunds and cancellations. Who can I call?  

 

 

 
i have send report about Return item which you have delivered this afternoon due to different bag, not my order. 
 
please change that to correct item, no need refund  i want the bag that i ordered. 
 
Order # 6147655254 
Item: 1 Steve Madden Printed CrossBody bag with detachable strap and pouch 
color: Beige 
price : sr164. 
 
thank you, 
Luvy Endencia https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4461946